#ifndef _DEF_LEVEL
#define _DEF_LEVEL

#include <gint/defs/types.h>

#include "camera.h"

typedef struct Level
{
	int width;  /* in tiles */
	int height; /* in tiles */
	const uint8_t **layers; /* points toward the level content */
} Level;

void level_step(Level *level);
void level_draw(Level *level, Camera *camera);

#endif /* _DEF_LEVEL */
